Opened 7 years ago

Last modified 3 years ago

#41177 new defect

kdepimlibs4 fails to build on 10.6.8.1 / 2.2.1

Reported by: 66j7kckg5c@… Owned by: NicosPavlov
Priority: Normal Milestone:
Component: ports Version: 2.2.1
Keywords: Cc:
Port: kdepimlibs4

Description (last modified by ryandesign (Ryan Schmidt))

Hi,

When trying to install either konsole or kate, which depend on the base KDE4 sub-system, kdepimlibs4 fails to build. I have tried with build.jobs=1 which did not seem to alter the results.

Attachments (1)

main.log.zip (192.4 KB) - added by 66j7kckg5c@… 7 years ago.
Build failure for kdepimlibs4

Download all attachments as: .zip

Change History (8)

Changed 7 years ago by 66j7kckg5c@…

Attachment: main.log.zip added

Build failure for kdepimlibs4

comment:1 Changed 7 years ago by 66j7kckg5c@…

Also, this is the compiler info:

 gcc -v
Using built-in specs.
Target: i686-apple-darwin10
Configured with: /private/var/tmp/llvmgcc42/llvmgcc42-2336.1~3/src/configure --disable-checking --enable-werror --prefix=/Developer/usr/llvm-gcc-4.2 --mandir=/share/man --enable-languages=c,objc,c++,obj-c++ --program-prefix=llvm- --program-transform-name=/^[cg][^.-]*$/s/$/-4.2/ --with-slibdir=/usr/lib --build=i686-apple-darwin10 --enable-llvm=/private/var/tmp/llvmgcc42/llvmgcc42-2336.1~3/dst-llvmCore/Developer/usr/local --program-prefix=i686-apple-darwin10- --host=x86_64-apple-darwin10 --target=i686-apple-darwin10 --with-gxx-include-dir=/usr/include/c++/4.2.1
Thread model: posix
gcc version 4.2.1 (Based on Apple Inc. build 5658) (LLVM build 2336.1.00)
Last edited 7 years ago by ryandesign (Ryan Schmidt) (previous) (diff)

comment:2 Changed 7 years ago by 66j7kckg5c@…

Cc: 66j7kckg5c@… added

Cc Me!

comment:3 Changed 7 years ago by neverpanic (Clemens Lang)

Cc: nicos@… 66j7kckg5c@… removed
Keywords: build fails removed
Owner: changed from macports-tickets@… to nicos@…

You don't need to Cc yourself.

comment:4 Changed 7 years ago by NicosPavlov

The error seems to come from the headers in openldap, which was upgraded recently, breaking the binaries of kdepimlibs4. I revbumbed the port, and the build went fine on the bots. In your case, a different compiler is used (Clang 3.0.0), I'll have to test it and eventually blacklist it.

comment:5 Changed 7 years ago by NicosPavlov

It appears I can't reproduce the issue even when testing with Clang 3.0. Typically the buildbot also builds it fine, but it uses gcc-4.2. Can you reproduce the bug also when running

sudo port install kdepimlibs4 configure.compiler=gcc-4.2

?

comment:6 Changed 7 years ago by mkae (Marko Käning)

This doesn't seem to be an issue anymore in 10.9.2 and the current KDE version 4.12.4, so may we close this one?

comment:7 Changed 3 years ago by ryandesign (Ryan Schmidt)

Description: modified (diff)
Port: kdepimlibs4 added; konsole removed
Note: See TracTickets for help on using tickets.